
<div class="container mt-4">
  <div class="row">
    <div class="col-md-8 offset-md-2">
      <h1 class="mb-4">Leaderboard</h1>
      
      <div class="list-group w-auto">
        <% @leaderboard_data.each_with_index do |(user_email, score), index| %>
          <a href="#" class="list-group-item list-group-item-action d-flex gap-3 py-3" aria-current="true">
            <i class="fas fa-user-circle fa-2x"></i>
            <div class="d-flex gap-2 w-100 justify-content-between">
              <div>
                <h6 class="mb-0">
                  <%= user_email %>
                  <% if index == 0 %>
                    <i class="fas fa-medal text-gold" style="color: gold;"></i> <!-- Gold medal for the top user -->
                  <% elsif index == 1 %>
                    <i class="fas fa-medal text-silver" style="color: silver;"></i> <!-- Silver medal for the second user -->
                  <% elsif index == 2 %>
                    <i class="fas fa-medal text-bronze" style="color: #cd7f32;"></i> <!-- Bronze medal for the third user -->
                  <% end %>
                </h6>
              </div>
              <small class="opacity-50 text-nowrap"><p class="mb-0 opacity-75"><%= score %> points</p></small>
            </div>
          </a>
        <% end %>
      </div>

      <!-- Add a link to the new leaderboard if needed -->
      <!-- <%= link_to "New leaderboard", new_leaderboard_path, class: "btn btn-primary" % -->
    </div>
  </div>
</div>

